Subject: Re: report on debian-9.0-sparc64-NETINST-1.iso
with qemu



Hi Bruno!

Please always send your reports to the mailing list.

On 01/22/2017 09:38 PM, Bruno Haible wrote:
> and encountered two problems:
> 1) A warning that the boot loader will not be able to find the kernel on an
> ext4 file system because it supports only ext2 and ext3. This is stupid,
> because
> ext4 is upward-compatible with ext2.

It's not stupid. It's just because no one has update silo-installer yet. I'm
also
not sure if it's 100% safe to use SILO on ext4. Furthermore, Oracle is actually
working to add SPARC support to GRUB [1].

Unfortunately, this hasn't been merged yet. But we should maybe go ahead and
do a local GRUB build for sparc64. I have tried it once, but I didn't manage
to build it, but also gave up quickly. I should probably give it another
try.

> 2) During the installation of the base system:
> Jan 22 18:24:05 debootstrap: mknod: /target/dev/null: No such file or
> directory
> I tried to manually create the /target/dev directory and retry, but it did
> not help.

Yes, the latest image is known to have a broken version of debootstrap. I
should probably remove these images to keep others from using them.

Adrian

> [1] https://github.com/esnowberg/grub2-sparc

--
.''`. John Paul Adrian Glaubitz
: :' : Debian Developer - [email protected]
`. `' Freie Universitaet Berlin - [email protected]
`- GPG: 62FF 8A75 84E0 2956 9546 0006 7426 3B37 F5B5 F913

...



Programming list archiving by: Enterprise Git Hosting